Changelog
2026-10-07
API Changelog v2-20261006-69b4d4e506 vs. v2-20261007-1006552e7e
PATCH /{administration_id}/documents/general_journal_documents/{id}{format}
- ⚠️ request property
general_journal_document/journal_typewas restricted to a list of enum values - added the new `` enum value to the request property
general_journal_document/journal_type - added the new
fiscal_year_endingenum value to the request propertygeneral_journal_document/journal_type
POST /{administration_id}/documents/general_journal_documents{format}
- ⚠️ request property
general_journal_document/journal_typewas restricted to a list of enum values - added the new
fiscal_year_endingenum value to the request propertygeneral_journal_document/journal_type
GET /{administration_id}/reports/cash_flow{format}
- ⚠️ the response's body
typechanged fromobjecttoanyfor status200 - added the new optional
queryrequest parametergranularity - added
#/components/schemas/cash_flow_amounts, subschema #2to the response bodyallOflist for the response status200 - removed the optional property
cash_paid_by_ledger_accountfrom the response with the200status - removed the optional property
cash_received_by_ledger_accountfrom the response with the200status - removed the optional property
closing_balancefrom the response with the200status - removed the optional property
opening_balancefrom the response with the200status
API Changelog v2-20261007-1006552e7e vs. v2-20261007-601d39c58a
GET /{administration_id}/documents/general_documents{format}
- added the new optional
queryrequest parametersort
GET /{administration_id}/documents/general_journal_documents{format}
- added the new optional
queryrequest parametersort
GET /{administration_id}/documents/purchase_invoices{format}
- added the new optional
queryrequest parametersort
GET /{administration_id}/documents/receipts{format}
- added the new optional
queryrequest parametersort
GET /{administration_id}/documents/typeless_documents{format}
- added the new optional
queryrequest parametersort
GET /{administration_id}/reports/balance_sheet{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/creditors{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/debtors{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/expenses_by_contact{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/expenses_by_project{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/general_ledger{format}
- ⚠️ the response's body
typechanged fromobjecttoanyfor status200 - added the new optional
queryrequest parametergranularity - added
#/components/schemas/general_ledger_amounts, subschema #2to the response bodyallOflist for the response status200 - removed the optional property
credit_sumsfrom the response with the200status - removed the optional property
debit_sumsfrom the response with the200status - removed the optional property
final_balancefrom the response with the200status - removed the optional property
start_balancefrom the response with the200status
GET /{administration_id}/reports/revenue_by_contact{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/revenue_by_project{format}
- added the new optional
queryrequest parametergranularity - added the optional property
periodsto the response with the200status
GET /{administration_id}/reports/tax{format}
- ⚠️ the response's body
typechanged fromobjecttoanyfor status200 - added the new optional
queryrequest parametergranularity - added
#/components/schemas/tax_report_amounts, subschema #2to the response bodyallOflist for the response status200 - removed the optional property
tax_ratesfrom the response with the200status
GET /{administration_id}/sales_invoices{format}
- added the new optional
queryrequest parametersort
API Changelog v2-20261007-66d062d77a vs. v2-20261007-c50e6bbb39
GET /{administration_id}/reports/bank_balance{format}
- endpoint added
GET /{administration_id}/reports/working_capital{format}
- endpoint added
Last modified on